com.google.gwt.dom.builder.shared

## Class HtmlIFrameBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<IFrameBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlIFrameBuilder

All Implemented Interfaces:
  ElementBuilderBase<IFrameBuilder>, IFrameBuilder

    public class HtmlIFrameBuilder
    extends HtmlElementBuilderBase<IFrameBuilder>
    implements IFrameBuilder

HTML-based implementation of `IFrameBuilder`.

### Constructor Summary

Constructors
Constructor and Description
`HtmlIFrameBuilder(HtmlBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IFrameBuilder` `frameBorder(int frameBorder)` Request frame borders.
`HtmlIFrameBuilder` `html(SafeHtml html)` Append html within the node.
`boolean` `isChildElementSupported()` Check if child elements are supported.
`IFrameBuilder` `marginHeight(int marginHeight)` Frame margin height, in pixels.
`IFrameBuilder` `marginWidth(int marginWidth)` Frame margin width, in pixels.
`IFrameBuilder` `name(java.lang.String name)` The frame name (object of the target attribute).
`IFrameBuilder` `noResize()` Forbid user from resizing frame.
`IFrameBuilder` `scrolling(java.lang.String scrolling)` Specify whether or not the frame should have scrollbars.
`IFrameBuilder` `src(SafeUri src)` A URI designating the initial frame contents.
`IFrameBuilder` `src(java.lang.String src)` A URI designating the initial frame contents.
`HtmlIFrameBuilder` `text(java.lang.String text)` Append text within the node.

### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

`asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isEndTagForbidden, style`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

### Constructor Detail

#### HtmlIFrameBuilder

    HtmlIFrameBuilder(HtmlBuilderImpl delegate)

### Method Detail

#### frameBorder

    public IFrameBuilder frameBorder(int frameBorder)

Description copied from interface: `IFrameBuilder`
Request frame borders.

Specified by:
  `frameBorder` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### html

    public HtmlIFrameBuilder html(SafeHtml html)

Description copied from interface: `ElementBuilderBase`
Append html within the node.

Once you append HTML to the element, you can no longer set attributes.

Specified by:
  `html` in interface `ElementBuilderBase<IFrameBuilder>`
Specified by:
  `html` in interface `IFrameBuilder`
Overrides:
  `html` in class `AbstractElementBuilderBase<IFrameBuilder>`
Parameters:
  `html` - the HTML to append
Returns:
  this builder

#### isChildElementSupported

    public boolean isChildElementSupported()

Description copied from interface: `ElementBuilderBase`
Check if child elements are supported.

Specified by:
  `isChildElementSupported` in interface `ElementBuilderBase<IFrameBuilder>`
Overrides:
  `isChildElementSupported` in class `AbstractElementBuilderBase<IFrameBuilder>`
Returns:
  true if supported, false if not.

#### marginHeight

    public IFrameBuilder marginHeight(int marginHeight)

Description copied from interface: `IFrameBuilder`
Frame margin height, in pixels.

Specified by:
  `marginHeight` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### marginWidth

    public IFrameBuilder marginWidth(int marginWidth)

Description copied from interface: `IFrameBuilder`
Frame margin width, in pixels.

Specified by:
  `marginWidth` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### name

    public IFrameBuilder name(java.lang.String name)

Description copied from interface: `IFrameBuilder`
The frame name (object of the target attribute).

Specified by:
  `name` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### noResize

    public IFrameBuilder noResize()

Description copied from interface: `IFrameBuilder`
Forbid user from resizing frame.

Specified by:
  `noResize` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### scrolling

    public IFrameBuilder scrolling(java.lang.String scrolling)

Description copied from interface: `IFrameBuilder`
Specify whether or not the frame should have scrollbars.

Specified by:
  `scrolling` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### src

    public IFrameBuilder src(SafeUri src)

Description copied from interface: `IFrameBuilder`
A URI designating the initial frame contents.

Specified by:
  `src` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### src

    public IFrameBuilder src(java.lang.String src)

Description copied from interface: `IFrameBuilder`
A URI designating the initial frame contents.

Specified by:
  `src` in interface `IFrameBuilder`
See Also:
  W3C HTML Specification

#### text

    public HtmlIFrameBuilder text(java.lang.String text)

Description copied from interface: `ElementBuilderBase`
Append text within the node.

Once you append text to the element, you can no longer set attributes.

A string-based implementation will escape the text to prevent HTML/javascript code from executing. DOM based implementations are not required to escape the text if they directly set the innerText of an element.

Specified by:
  `text` in interface `ElementBuilderBase<IFrameBuilder>`
Specified by:
  `text` in interface `IFrameBuilder`
Overrides:
  `text` in class `AbstractElementBuilderBase<IFrameBuilder>`
Parameters:
  `text` - the text to append
Returns:
  this builder